
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>nginx动态数组中自动扩容的实现问题 / iVAN</title>

    <meta name="description" content="nginx动态数组中自动扩容的实现问题 问题描述 nginx动态数组中自动扩容的实现问题 为了方便阐述我的问题,我举个例子: ngx_array_t *manager = ngx_array_create( cf-&gt;pool,1,sizeof(Node) ); 在ngx_array_create的实现中,将manager的成员pool置为cf-&gt;pool: 大家知道,如果cf-&gt;pool当前内存空间不够,就会再生成另一个内存节点,那么manager可能指向的是另一个内存池节点分配的内存: 继续,关于ngx_array ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">nginx动态数组中自动扩容的实现问题</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>问题描述</h1>
<dl>
<dt>nginx动态数组中自动扩容的实现问题
        </dt>
<dd>
          <br />为了方便阐述我的问题，我举个例子：<br />
ngx_array_t  *manager   =  ngx_array_create( cf-&gt;pool,1,sizeof(Node) ）;</p>
<p>在ngx_array_create的实现中，将manager的成员pool置为cf-&gt;pool； 大家知道，如果cf-&gt;pool当前内存空间不够，就会再生成另一个内存节点，那么manager可能指向的是另一个内存池节点分配的内存；</p>
<p>继续，关于ngx_array_push自动扩容问题的实现（我不理解的地方）；<br />
下面是实现代码：<br />
void *<br />
ngx_array_push(ngx_array_t *a)<br />
{<br />
    void        *elt, *new;<br />
    size_t       size;<br />
    ngx_pool_t  *p;</p>
<pre><code>if (a-&gt;nelts == a-&gt;nalloc) {

    /* the array is full */

    size = a-&gt;size * a-&gt;nalloc;

    p = a-&gt;pool;

    if ((u_char *) a-&gt;elts + size == p-&gt;d.last
        &amp;&amp; p-&gt;d.last + a-&gt;size &lt;= p-&gt;d.end) /*为什么认定当初分配的动态数组的数据区就是在cf-&gt;pool*/
    {
        /*
         * the array allocation is the last in the pool
         * and there is space for new allocation
         */

        p-&gt;d.last += a-&gt;size;
        a-&gt;nalloc++;

    } else {
        /* allocate a new array */

        new = ngx_palloc(p, 2 * size);
        if (new == NULL) {
            return NULL;
        }

        ngx_memcpy(new, a-&gt;elts, size);
        a-&gt;elts = new;
        a-&gt;nalloc *= 2;
    }
}
。。。
</code></pre>
<p>}</p>
<p>不好意思，我没有积分。。。</p>
</dd>
</dl>
<h1>解决方案</h1>
<p>pool里面本身也还都是指针吧，空间不够也还是在其他地方分配，然后修改指针。s所有还是用pool</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 11:44:24</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%8a%a8%e6%80%81/" title="动态">动态</a>, <a href="https://www.iamivan.net/tag/nginx/" title="nginx">nginx</a>, <a href="https://www.iamivan.net/tag/pool/" title="pool">pool</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>nginx动态数组中自动扩容的实现问题的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmdZ9lM.html" rel="bookmark">C&num;动态数组中重复项和ListView显示</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 用C#加载RFID阅读器的APIDLL,并将数据在ListView中显示出来.我加载DLL后数据是读出来了,并且生成了由RFID标签ID号组成的以逗号分隔的字符串(strTmp),使用split分割后的数组string[]spStr=strTmp.Split(newchar[]{',']);,并且Add到ListView中也很顺利,RFID是循环读取的,如果数组中的元素在ListView中已经存在,则记录读取的次数并在ListView中显示出来,ListView中不存在则加入ListV			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnYNr0M.html" rel="bookmark">asp 得到动态数组中元素的个数&lowbar;应用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一个动态数组 a,如果你已经使用redim 语句给它设定了大小,那么在此之后使用 ubound(a) 就可以得到它的上边界. 如果你没有使用 redim 语句给它设定大小,直接使用 ubound(a) 函数,那么运行时会报错,并会中断程序的执行.我们恰恰利用这一点,可以知道这个数组还没有任何元素.于此同时,我们却不想程序中断执行,那么可以在 ubound(a) 函数执行前加上一句 复制代码 代码如下: on error resume next 把本功能写成一个函数 function get_el			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPLwXDp.html" rel="bookmark">asp 得到动态数组中元素的个数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一个动态数组 a,如果你已经使用redim 语句给它设定了大小,那么在此之后使用 ubound(a) 就可以得到它的上边界. 如果你没有使用 redim 语句给它设定大小,直接使用 ubound(a) 函数,那么运行时会报错,并会中断程序的执行.我们恰恰利用这一点,可以知道这个数组还没有任何元素.于此同时,我们却不想程序中断执行,那么可以在 ubound(a) 函数执行前加上一句 复制代码 代码如下: on error resume next 把本功能写成一个函数 function get_el			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MY2BEQp.html" rel="bookmark">（教学思路 C&num;集合一）集合的概述、动态数组ArrayList</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这一节我们来学习集合,什么是集合呢? 集合就如同数组,用来存储和管理一组特定类型的数据对象,除了基本的数据处理功能,集合直 接提供了各种数据结构及算法的实现,如队列.链表.排序等,可以让你轻易地完成复杂的数据操作.在使用数组和集合时要先加入 system.collections命名空间,它提供了支持各种类型集合的接口及类.集合本身上也是一种类型,基本上可以将其作为用来存储一组数据对 象的容器,由于c#面向对象的特性,管理数据对象的集合同样被实现成为对象,而存储在集合中的数据对象则被称为集合元素.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgKem8M.html" rel="bookmark">Java静态与动态数组特点分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				平常我们接触到的大多都是静态数组,其实在很多的时候,静态数组根本不能满足我们编程的实际需要,比方说我需要在程序运行过程中动态的向数组中添加数据,这时我们的静态数组大小是固定的,显然就不能添加数据,要动态添加数据必须要用到动态数组,动态数组中的各个元素类型也是一致的,不过这种类型已经是用一个非常大的类型来揽括-Object类型.Object类是JAVA.LANG包中的顶层超类.所有的类型都可以与Object类型兼容,所以我们可以将任何Object类型添加至属于Object类型的数组中,能添加Obj			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0N5BDz.html" rel="bookmark">计算机科学-第8周 字符串和动态数组 题目及参考解答</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;计算机科学&gt;课程主页在:http://blog.csdn.net/sxhelijian/article/details/13705597 1.阅读程序 阅读下面的程序,写出运行结果,上机时运行程序,记录结果,从而能够理解指针的用法(1) #include&lt;stdio.h&gt; int main() { int i; for(i='A'; i&lt;'I'; i++,i++) printf(&quot;%c&quot;,i+32); printf(&quot;\n&quot;); re			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYdd89b.html" rel="bookmark">C&plus;&plus;中关于&lbrack;&rsqb;静态数组和new分配的动态数组的区别分析&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文以实例分析了C++语言中关于[]静态数组和new分配的动态数组的区别,可以帮助大家加深对C++语言数组的理解.具体区别如下: 一.对静态数组名进行sizeof运算时,结果是整个数组占用空间的大小: 因此可以用sizeof(数组名)/sizeof(*数组名)来获取数组的长度. int a[5]; 则sizeof(a)=20,sizeof(*a)=4.因为整个数组共占20字节,首个元素(int型)占4字节. int *a=new int[4];则sizeof(a)=sizeof(*a)=4,因为			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zG3V43z.html" rel="bookmark">2014秋C&plus;&plus;第16周 项目4参考 为动态数组扩容</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				课程主页在http://blog.csdn.net/sxhelijian/article/details/39152703,课程资源在云学堂&quot;贺老师课堂&quot;同步展示,使用的帐号请到课程主页中查看.  [项目4-为动态数组扩容] 下面的程序,利用动态数组保存学生的成绩.当再有一批学生成绩需要保存时,要为之扩容(和吃自助一样,用多少,取多少,这好),请补充完整下面的程序,实现如图所示的功能. int main( ) { int num,i,addNum; //num是小组人数 cout&lt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6ke1Ap.html" rel="bookmark">《C语言及程序设计》实践参考&mdash;&mdash;为动态数组扩容</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				返回:贺老师课程教学链接 [项目3-为动态数组扩容]下面的程序,利用动态数组保存学生的成绩.当再有一批学生成绩需要保存时,要为之扩容(和吃自助一样,用多少,取多少,这好),请补充完整下面的程序,实现如图所示的功能. #include &lt;stdio.h&gt; #include &lt;malloc.h&gt; int main( ) { int num,i,addNum; //num是小组人数 printf(&quot;输入学生人数: &quot;); scanf(&quot;%d&quot;, &			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQ9OGb.html" rel="bookmark" class="title">让Java程序自带JRE</a>
					<div>
						程序   用Java开发程序,发布时总要考虑的问题就是怎么在使用者的机器上装好JRE.要考虑的问题很多:使用者有没有能力独自安装JRE,使用者已有的JRE和我们需要的版本是不是一致,会不会出现版本问题 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp56wmz.html" rel="bookmark" class="title">CPA广告最适合哪些产品推广？</a>
					<div>
						广告|推广 CPA广告的定义.CPA (Cost-per-Action) :每次行动的费用,即根据每个访问者对网络广告所采取的行动收费的定价模式.对于用户行动有特别的定义,包括形成一次交易.获得一个注 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQOoZp.html" rel="bookmark" class="title">谈谈CNNIC&amp;amp&semi;nbsp&semi;域名投资要慎重</a>
					<div>
						CNNIC,到底是一个国家政府机构,还是一个企业.看不穿. 但是我可以肯定的是CNNIC是一个牛B的炒做专家,和圈钱的地主头. 百度一下域名新闻,N多关于中文域名抢注,然后多少钱出售的,案例,金融周刊 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9BxXp.html" rel="bookmark" class="title">php中如何初始化一个数组</a>
					<div>
						数组 初始化一个数组一般有2种方法:一个是单独给数组中的元素赋值:还有一种是把所有的元素一起初始化.下面简要介绍初始化数组的2种方法:第一种方法:$a[&quot;color&quot;]=&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2ogvM.html" rel="bookmark" class="title">C语言实现的XML解析器</a>
					<div>
						最近做嵌入式开发,板子上面需要有解析XML的功能,理所当然地我就去网上找开源的来用.结果找来的要不是C++的,要不就是超级复杂的.像libxml,我统计了下解析一个40几KB的XML文件,居然动态申请 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyryOJp.html" rel="bookmark" class="title">Delphi中利用MSCOMM控件进行GPS数据采集</a>
					<div>
						1.准备 GPS(Global Positioning System),即全球定位系统,利用24颗GPS卫星的测距和测时功能进行全球定位,在许多系统中,如机场导航系统,出租车辆管理和调度系统.江河流域 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7E0ab.html" rel="bookmark" class="title">如何分析Oracle执行计划（一）</a>
					<div>
						1.如何分析执行计划 例1: 假设LARGE_TABLE是一个较大的表,且username列上没有索引,则运行下面的语句: SQL&gt; SELECT * FROM LARGE_TABLE wher ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2yaLkz.html" rel="bookmark" class="title">XP系统下通过注册表修改登录背景图案</a>
					<div>
						XP系统下通过注册表修改登录背景图案   在打开的运行选项窗口中,我们输入regedit命令打开注册表编辑器,如图所示: 在打开的注册表编辑器窗口中,我们依次展开以下路径:HKEY_USERS.DEF ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXB47Kb.html" rel="bookmark" class="title">怎么让excel表格只能看不能被改</a>
					<div>
						辛辛苦苦地设计了一个个人简历表格,却被别人毛手毛脚地搞乱了,是不是很恼火?如果是私人文件还好,只要设个密码就可以了,偏偏这是要别人往里面填数据或者是要给大家参考的,往往由于他人的&quot;不小心&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvK2W6p.html" rel="bookmark" class="title">如何判断您的win8系统是否激活</a>
					<div>
						方法一: 1.进入控制面板,点击&quot;系统和安全&quot;. 2.点击&quot;系统&quot;. 3.在此界面可以查看到系统是否激活. 方法二: 1.在运行中输入:slmgr.vbs /d ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBnRYz.html" rel="bookmark" class="title">WIN7旗舰版系统提示未识别的网络无Internet访问怎么去解决</a>
					<div>
						在win7旗舰版系统中,宽带连接成功后,那么本地连接图标也会处于连接成功状态.可最近有用户使用win7旗舰版系统进行本地连接之后提示未识别的网络无Internet访问(如图)问题,网络怎么也连接不上, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3AK1M.html" rel="bookmark" class="title">OS X 平台上退出应用的六大招</a>
					<div>
						  按住快捷键:Command+Option+Shift+esc 一到两秒强制退出前台正在运行的应用. 调出&quot;强制退出应用程序&quot;窗口 通过快捷键:Command+Option+es ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZyADz.html" rel="bookmark" class="title">我是学android 在studio中连接网络数据库</a>
					<div>
						问题描述 我是学android 在studio中连接网络数据库 我刚入职三天,写注册功能,存新用户到数据库,公司PHP的哥们提供了一个网络数据库接口http://192.168.1.27/phpmya ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWPL6p.html" rel="bookmark" class="title">新浪微博瘫痪，有人开心有人哭</a>
					<div>
						据报道,今天下午17时左右,有网友反映新浪微博无法正常登陆.pc和web端同时故障.从下午16:30经开始,相关人员通过Ping命令测试IP可用性发现,新浪微博服务器已经失去响应,测试包含青岛.上海等 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZZWab.html" rel="bookmark" class="title">想要安防万无一失，还是别用普通交换机了</a>
					<div>
						安防,最忌掉以轻心.这项工作对于设备可靠性的要求尤为严苛. 很多人会说,这些我都知道,&quot;我们采购的安防设备比如监控探头.录像机.报警器.门禁这些都是技术最先进,性能最好的.正因为知道它的重要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAG8KM.html" rel="bookmark" class="title">黑客盯上PowerPoint零日漏洞 发动特定攻击</a>
					<div>
						微软公司在上周四警告说,黑客正在试图利用PowerPoint软件中的一个漏洞发起攻击.目前还没有针对该漏洞的补丁发布.这个漏洞可能使黑客能够完全控制受害电脑.微软称该漏洞将影响到Office 2000 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn73xrz.html" rel="bookmark" class="title">YII console 定时脚本</a>
					<div>
						可以用来做定时程序通过命令运行代码,非url访问方式更安全 linux/macos 上使用yiic配置(window上使用yiic.bat) 1.yiic要有执行权限,chmod -R 777 yii ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZWXJb.html" rel="bookmark" class="title">duilib CDateTimeUI 在Xp下的bug修复</a>
					<div>
						转自:http://my.oschina.net/u/343244/blog/370131 CDateTimeUI 的bug修复.修改CDateTimeWnd的HandleMessage方法 ? 1  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWjROp.html" rel="bookmark" class="title">AMD终极揭秘</a>
					<div>
						原文: http://www.sitepen.com/blog/2012/06/25/amd-the-definitive-source/ 作者:Kris Zyp 译者:Elaine Liu 究竟什么 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvrwj6M.html" rel="bookmark" class="title">mysql 查询数据量过大时，索引失效&comma;怎么强制使用索引</a>
					<div>
						问题描述 mysql 查询数据量过大时,索引失效,怎么强制使用索引 解决方案 MYSQL强制使用索引和禁止使用索引mysql 强制索引mysql强制索引 解决方案二: 你的sql语句是否有合法的应用到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjLaO6p.html" rel="bookmark" class="title">日期与时间函数库：gmdate</a>
					<div>
						gmdate (PHP3 , PHP4) gmdate ---&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/MqR17Rp.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcmVhZC5odG1sNS5xcS5jb20vaW1hZ2U/c3JjPWZvcnVtJmFtcDtxPTUmYW1wO3I9MCZhbXA7aW1nZmxhZz03JmFtcDtpbWFnZVVybD1odHRwOi8vbW1iaXoucXBpYy5jbi9tbWJpei93YzdZTlBtM1l4VmhVaWJ6eXRDSzhkN1p2NEpQWXF2TjdHRjBza2JvTkJvRDhWZ1kwcTh3dW5hWXJ2bFB4ejRTY3pWWEVOWmc1UGhMbkdQOUtoWVJwRXcvMA==.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/MqR17Rp.html" rel="bookmark" class="title">哈佛学生用数据阐述&OpenCurlyDoubleQuote;运气从何而来&rdquo;</a>
					<div>
						幸运之神光顾Archie Karas 1992年,当时还是服务员的Archie Karas启程去了拉斯维加斯.1995年,他把50美元变成了4千万美元,创造了赌博史上最长的连赢记录.我们大多数人都拿这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRnY3b.html" rel="bookmark" class="title">ORA-00600&colon; internal error code&comma; arguments&colon; &lbrack;17281&rsqb;&comma; &lbrack;1001&rsqb;&comma; &lbrack;0x1FF863EE8&rsqb;&comma; &lbrack;&rsqb;&comma; &lbrack;&rsqb;&comma; &lbrack;&rsqb;&comma; &lbrack;&rsqb;&comma; &lbrack;&rsqb;</a>
					<div>
						我们生产服务器中的一个数据库发出监控告警日志的邮件,内容如下所示,在31号09:11分出现了大名鼎鼎的ORA-00600错误. Dear All:   The Instance xxx' alert  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWZBrM.html" rel="bookmark" class="title">微软必应搜索引擎美国市场份额提高，但仍然落后于谷歌</a>
					<div>
						7月2日消息,市场研究公司StatCounter本周三发布的数据显示,投入运营1个月,微软必应搜索引擎美国市场份额有所提高,但仍然落后于市场领头羊谷歌. 据国外媒体报道称,StatCounter表示, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNnDOJM.html" rel="bookmark" class="title">sim卡应用-手机SIM卡菜单是否有使用的？还有哪些应用？</a>
					<div>
						问题描述 手机SIM卡菜单是否有使用的?还有哪些应用? 手机内部软件中的SIM卡菜单,比如移动梦网等,目前国内外还有用的吗?如果有主要在哪些地方,哪些应用? 解决方案 http://wenku.bai ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mye6x4M.html" rel="bookmark" class="title">【Java】关于数组&sol;字符串结束符的疑问&hellip;&hellip;</a>
					<div>
						问题描述 题目:/**Writeamethodtoreplaceallspacesinastringwith'%20'.Youmayassumethatthestringhassufficientsp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLlq6M.html" rel="bookmark" class="title">MySQL针对Discuz论坛程序的基本优化教程&lowbar;Mysql</a>
					<div>
						过了这么久,discuz论坛的问题还是困扰着很多网友,其实从各论坛里看到的问题总结出来,很关键的一点都是因为没有将数据表引擎转成InnoDB导致的,discuz在并发稍微高一点的环境下就表现的非常糟糕 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBk434M.html" rel="bookmark" class="title">java检查数组是否有重复元素的方法&lowbar;java</a>
					<div>
						本文实例讲述了java检查数组是否有重复元素的方法.分享给大家供大家参考.具体实现方法如下: //判断数组中是否有重复值 public static boolean checkRepeat(Strin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxE1qjp.html" rel="bookmark" class="title">insert into 并发死锁 问题</a>
					<div>
						问题描述 insert into 并发死锁 问题 同时向同一个数据库的同一张表插入数据,用insert into 或者 load data infile 都会出现 锁索引的情况,造成死锁,哪些大神能够 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyW7XJz.html" rel="bookmark" class="title">【Python之旅】第四篇（四）：基于面向对象的模拟人生游戏类</a>
					<div>
						 需要用面向对象的思想编写一个模拟人生的小游戏,其实就目前学的知识来说,最多只能写个故事叙述类的小游戏,因此这里只是给出该游戏中有关class的代码,代码是Alex老师写的,对进一步加深Python面 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
